# PublicationArtifact

API Documentation: | `PublicationArtifact`

Known Subtypes: |
`IvyArtifact`
`MavenArtifact`

An artifact published as part of a `Publication`.

### Properties

Property | Description
`buildDependencies` | Returns a dependency which contains the tasks which build this artifact. All `Buildable` implementations must ensure that the returned dependency object is live, so that it tracks changes to the dependencies of this buildable.
`file` | The actual file contents to publish.

### Methods

Method | Description
`builtBy(tasks)` | Registers some tasks which build this artifact.

### Script blocks

No script blocks

### Property details

#### `TaskDependency` `buildDependencies` (read-only)

Returns a dependency which contains the tasks which build this artifact. All `Buildable` implementations must ensure that the returned dependency object is live, so that it tracks changes to the dependencies of this buildable.

#### `File` `file` (read-only)

The actual file contents to publish.

### Method details

#### `void` `builtBy`(``Object`...` tasks)

Registers some tasks which build this artifact.